Subject: Re: bug#8524: New glasses.el customization option glasses-separate-capital-groups-p

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 May 2011 09:40:30 -0300

>> +(defcustom glasses-separate-capital-groups-p t

> I was going to say: boolean options should not have names ending in `-p'
> (I see the existing glasses ones do, but no reason to continue doing
> it). `-p' is the recommended suffix for a predicate *function*. `-flag'
> was recommended for boolean options, but this recommendation has gone
> away (eg because you might want to extend a boolean option to a 3-state
> one in future). So an appropriate name for this option might be just
> `glasses-separate-capital-groups'.

> But then I noticed that several other files have options ending in `-p',
> so maybe I'm wrong about this...

No, you're absolutely right.  These other files are wrong.

        Stefan